%define module application

Name: python-%{module}
Version: 1.4.1
Release:        %mkrel 1
Summary: Basic building blocks for python applications
Group: Development/Python
License: LGPL
URL:	http://pypi.python.org/pypi/python-application/
Source0: http://pypi.python.org/packages/source/p/python-application/python-application-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:  python-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
This package is a collection of modules that are useful when building python applications.
Their purpose is to eliminate the need to divert resources into implementing the small
tasks that every application needs to do in order to run successfully and focus instead
on the application logic itself.

The modules that the application package provides are:

    process - UNIX process and signal management.
    python - python utility classes and functions.
    configuration - a simple interface to handle configuration files.
    log - an extensible system logger for console and syslog.
    debug - memory troubleshooting and execution timing.
    system - interaction with the underlying operating system.

%package -n python3-%{module}
Summary:        Basic building blocks for python applications
Group:          Development/Python
Requires:       python3
BuildArch:      noarch

%description -n python3-%{module}
This package is a collection of modules that are useful when building python applications.
   
    
%prep
%setup -q

cp -a . %{py3dir}

%build

%__python setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
rm -rf %buildroot
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd


%clean
%__rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{python_sitelib}/%{module}/
%{python_sitelib}/python_%{module}*.egg-info

%files -n python3-%{module}
%{python3_sitelib}/%{module}/
%{python3_sitelib}/python_%{module}*.egg-info


%changelog
* Fri Sep 04 2015 Ken <lxgator at gmail.com> 1.4.1-1pclos2015
- update

